#include "mbed.h"

//------------------------------------
// Hyperterminal configuration
// 9600 bauds, 8-bit data, no parity
//------------------------------------

#define MAX_TIME_MS 300000 // 5 minutes

Serial ble(PC_2, PC_3,9600);
Serial pc(SERIAL_TX, SERIAL_RX,9600);
DigitalIn StopBtn(PC_10);
DigitalIn StartResetBtn(PC_12);
DigitalIn DebugBtn(USER_BUTTON);
DigitalOut DebugLed1(LED1);
DigitalOut DebugLed2(LED2);


int main()
{
    int ms = 0;
    int StopOld = StopBtn.read();
    int StartResetOld = StartResetBtn.read();
    bool startCount = false;
    
    while(1) {
        if(StopBtn.read() != StopOld){
            StopOld = StopBtn.read();
            if(StopOld == 0){
                ble.printf("stop\n");
                ble.printf("%d ms\n",ms);       
                startCount = false;
                wait(1);
            }
            DebugLed1 = !DebugLed1;
        }
        
        if(StartResetBtn.read() != StartResetOld){
            StartResetOld = StartResetBtn.read();
            if(StartResetOld == 0){
                ble.printf("reset\n");
                ms = 0;
                startCount = false;
            }else{
                ble.printf("start\n");
                startCount = true;
            }
            DebugLed1 = !DebugLed2;
        }
        if(startCount){
            ms++;
            if(ms>MAX_TIME_MS){ 
                startCount = false;
            }
        }
        wait_ms(1);
    }
}
